% exaktes Integral
I1 = sinh(1.) - sinh(0.);
I2 = 2./3.;
I3 = pi/2 - 1;

% Approximation mittels Gauss-Legendre Quadratur
n = 1:100;
E1 = zeros(1,length(n));
E2 = zeros(1,length(n));
E3 = zeros(1,length(n));
E4 = zeros(1,length(n));
for in=n
  % a)
  [xin,win] = gauleg(0.,+1.,in); % Gauss-Legendre Knoten & Gewichte
  E1(in) = abs(sum(cosh(xin).*win) - I1); % Quadraturfehler fuer f1
  E2(in) = abs(sum(sqrt(xin).*win) - I2); % Quadraturfehler fuer f2
  E3(in) = abs(sum(asin(xin).*win) - I3); % Quadraturfehler fuer f3
  % b)
  [xin,win] = gauleg(0.,pi/2,in); % Gauss-Legendre Knoten & Gewichte
  E4(in) = abs(sum(xin.*cos(xin).*win) - I3); % Quadraturfehler fuer f4
end

% plot Fehler als Funktion von n
clf;
subplot(2,2,1);
semilogy(n,E1,'b-+');
xlabel('N');
ylabel('E1');
subplot(2,2,2);
loglog(n,E2,'b-+');
xlabel('N');
ylabel('E2');
subplot(2,2,3);
loglog(n,E3,'b-+');
xlabel('N');
ylabel('E3');
subplot(2,2,4);
semilogy(n,E4,'b-+');
xlabel('N');
ylabel('E4');

nmax = sum(log10(E1) > -13.); % bestimme groesstes n, sodass noch nicht
                              % Rundungsfehler ins Spiel kommen!
p1 = polyfit(...

p2 = polyfit(...

